﻿/**
 *	MiniBatteryStatus Widget
 *
 *	© Claudio Procida 2005-2008
 *
 *	Disclaimer
 *
 *	The MiniBatteryStatus Widget software (from now, the "Software") and the accompanying materials
 *	are provided “AS IS” without warranty of any kind. IN NO EVENT SHALL THE AUTHOR(S) BE
 *	LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 *	INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 *	IF THE AUTHOR(S) HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. The entire risk as to
 *	the results and performance of this software is assumed by you. If the software is
 *	defective, you, and not its author(s), assume the entire cost of all necessary servicing,
 *	repairs and corrections. If you do not agree to these terms and conditions, you may not
 *	install or use this software.
 */

/**
 *	Growl Bridge
 */
 
var GROWL_BATTERY_LOW_NOTIFICATION = "Low Battery";
var GROWL_BATTERY_FULL_NOTIFICATION = "Battery Full";
var GROWL_POWER_CHANGED_NOTIFICATION = "Power Source Changed";

var GROWL_LOW_BATTERY_ALERT_VALUE = 10;

var Growl = {
	/**
	 *	Settings
	 */
	enabled: false,
	notifyBatteryFull: true,
	notifyBatteryLow: true,
	notifyPowerChange: true,
	notifyLowLevel: GROWL_LOW_BATTERY_ALERT_VALUE,
	
	/**
	 *	Issues a Growl notification
	 */
	notify: function(type, argument)
	{
		if (!this.enabled) return;
		switch (type) {
			case GROWL_BATTERY_LOW_NOTIFICATION:
				// argument is Plugin.charge()
				if (!this.notifyBatteryLow) return;
				if (argument >= this.notifyLowLevel) return;
				Plugin.notifyBatteryLowWithTitleDetails(getLocalizedString(GROWL_BATTERY_LOW_NOTIFICATION),
					getLocalizedString("Battery charge is") + " " + argument + "%");
				break;
			case GROWL_BATTERY_FULL_NOTIFICATION:
				if (!this.notifyBatteryFull) return;
				Plugin.notifyBatteryFullWithTitleDetails(getLocalizedString(GROWL_BATTERY_FULL_NOTIFICATION),
					getLocalizedString("Battery charge completed"));
				break;
			case GROWL_POWER_CHANGED_NOTIFICATION:
				// argument is powerSourceState
				if (!this.notifyPowerChange) return;
				Plugin.notifyPowerChangeWithTitleDetails(getLocalizedString(GROWL_POWER_CHANGED_NOTIFICATION),
					getLocalizedString("Switching to") + " " + getLocalizedString(argument));
				break;
		}
	}
};